Private Link Scopes - List By Resource Group
Gets a list of Azure Monitor PrivateLinkScopes within a resource group.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Insights/privateLinkScopes?api-version=2021-09-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
A list containing 0 or more Azure Monitor PrivateLinkScope definitions. |
|
| Other Status Codes |
An error occurred. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
PrivateLinkScopeListByResourceGroup
Sample request
GET https://management.azure.com/subscriptions/86dc51d3-92ed-4d7e-947a-775ea79b4919/resourceGroups/my-resource-group/providers/Microsoft.Insights/privateLinkScopes?api-version=2021-09-01
Sample response
{
"value": [
{
"id": "/subscriptions/86dc51d3-92ed-4d7e-947a-775ea79b4919/resourceGroups/my-resource-group/providers/microsoft.insights/privateLinkScopes/my-privatelinkscope",
"name": "my-privatelinkscope",
"type": "Microsoft.Insights/privateLinkScopes",
"location": "Global",
"tags": {},
"systemData": {
"createdBy": "bobby@contoso.com",
"createdByType": "User",
"createdAt": "2021-06-16T12:59:57.051056Z",
"lastModifiedBy": "bobby@contoso.com",
"lastModifiedByType": "User",
"lastModifiedAt": "2021-06-16T12:59:57.051056Z"
},
"properties": {
"provisioningState": "Succeeded",
"accessModeSettings": {
"queryAccessMode": "Open",
"ingestionAccessMode": "Open",
"exclusions": []
}
}
},
{
"id": "/subscriptions/86dc51d3-92ed-4d7e-947a-775ea79b4919/resourceGroups/my-resource-group/providers/microsoft.insights/privateLinkScopes/my-other-privatelinkscope",
"name": "my-other-privatelinkscope",
"type": "Microsoft.Insights/privateLinkScopes",
"location": "Global",
"tags": {},
"systemData": {
"createdBy": "bobby@contoso.com",
"createdByType": "User",
"createdAt": "2021-06-16T12:59:57.051056Z",
"lastModifiedBy": "bobby@contoso.com",
"lastModifiedByType": "User",
"lastModifiedAt": "2021-06-16T12:59:57.051056Z"
},
"properties": {
"provisioningState": "Succeeded",
"accessModeSettings": {
"queryAccessMode": "Open",
"ingestionAccessMode": "Open",
"exclusions": []
}
}
}
],
"nextLink": null
}
Definitions
| Name | Description |
|---|---|
|
Access |
Access mode types. |
|
Access |
Properties that define the scope private link mode settings. |
|
Access |
Properties that define the scope private link mode settings exclusion item. This setting applies to a specific private endpoint connection and overrides the default settings for that private endpoint connection. |
|
Azure |
An Azure Monitor PrivateLinkScope definition. |
|
Azure |
Describes the list of Azure Monitor PrivateLinkScope resources. |
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Private |
The Private Endpoint resource. |
|
Private |
The Private Endpoint Connection resource. |
|
Private |
The current provisioning state. |
|
Private |
The private endpoint connection status. |
|
Private |
A collection of information about the state of the connection between service consumer and provider. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
AccessMode
Access mode types.
| Value | Description |
|---|---|
| Open | |
| PrivateOnly |
AccessModeSettings
Properties that define the scope private link mode settings.
| Name | Type | Description |
|---|---|---|
| exclusions |
List of exclusions that override the default access mode settings for specific private endpoint connections. |
|
| ingestionAccessMode |
Specifies the default access mode of ingestion through associated private endpoints in scope. If not specified default value is 'Open'. You can override this default setting for a specific private endpoint connection by adding an exclusion in the 'exclusions' array. |
|
| queryAccessMode |
Specifies the default access mode of queries through associated private endpoints in scope. If not specified default value is 'Open'. You can override this default setting for a specific private endpoint connection by adding an exclusion in the 'exclusions' array. |
AccessModeSettingsExclusion
Properties that define the scope private link mode settings exclusion item. This setting applies to a specific private endpoint connection and overrides the default settings for that private endpoint connection.
| Name | Type | Description |
|---|---|---|
| ingestionAccessMode |
Specifies the access mode of ingestion through the specified private endpoint connection in the exclusion. |
|
| privateEndpointConnectionName |
string |
The private endpoint connection name associated to the private endpoint on which we want to apply the specific access mode settings. |
| queryAccessMode |
Specifies the access mode of queries through the specified private endpoint connection in the exclusion. |
AzureMonitorPrivateLinkScope
An Azure Monitor PrivateLinkScope definition.
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
The geo-location where the resource lives |
| name |
string |
The name of the resource |
| properties.accessModeSettings |
Access mode settings |
|
| properties.privateEndpointConnections |
List of private endpoint connections. |
|
| properties.provisioningState |
string |
Current state of this PrivateLinkScope: whether or not is has been provisioned within the resource group it is defined. Users cannot change this value but are able to read from it. Values will include Provisioning ,Succeeded, Canceled and Failed. |
| systemData |
System data |
|
| tags |
object |
Resource tags. |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
AzureMonitorPrivateLinkScopeListResult
Describes the list of Azure Monitor PrivateLinkScope resources.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The URI to get the next set of Azure Monitor PrivateLinkScope definitions if too many PrivateLinkScopes where returned in the result set. |
| value |
List of Azure Monitor PrivateLinkScope definitions. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
PrivateEndpoint
The Private Endpoint resource.
| Name | Type | Description |
|---|---|---|
| id |
string |
The ARM identifier for Private Endpoint |
PrivateEndpointConnection
The Private Endpoint Connection resource.
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
The name of the resource |
| properties.privateEndpoint |
The resource of private end point. |
|
| properties.privateLinkServiceConnectionState |
A collection of information about the state of the connection between service consumer and provider. |
|
| properties.provisioningState |
The provisioning state of the private endpoint connection resource. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
PrivateEndpointConnectionProvisioningState
The current provisioning state.
| Value | Description |
|---|---|
| Succeeded | |
| Creating | |
| Deleting | |
| Failed |
PrivateEndpointServiceConnectionStatus
The private endpoint connection status.
| Value | Description |
|---|---|
| Pending | |
| Approved | |
| Rejected |
PrivateLinkServiceConnectionState
A collection of information about the state of the connection between service consumer and provider.
| Name | Type | Description |
|---|---|---|
| actionsRequired |
string |
A message indicating if changes on the service provider require any updates on the consumer. |
| description |
string |
The reason for approval/rejection of the connection. |
| status |
Indicates whether the connection has been Approved/Rejected/Removed by the owner of the service. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |